/**
 * public Enum for `PdfLayoutType`.
 * @private
 */
export declare enum PdfLayoutType {
    /**
     * Specifies the type of `Paginate`.
     * @private
     */
    Paginate = 0,
    /**
     * Specifies the type of `OnePage`.
     * @private
     */
    OnePage = 1
}
/**
 * public Enum for `PdfLayoutBreakType`.
 * @private
 */
export declare enum PdfLayoutBreakType {
    /**
     * Specifies the type of `FitPage`.
     * @private
     */
    FitPage = 0,
    /**
     * Specifies the type of `FitElement`.
     * @private
     */
    FitElement = 1,
    /**
     * Specifies the type of `FitColumnsToPage`.
     * @private
     */
    FitColumnsToPage = 2
}
export declare enum PathPointType {
    /**
     * Specifies the path point type of `Start`.
     * @private
     */
    Start = 0,
    /**
     * Specifies the path point type of `Line`.
     * @private
     */
    Line = 1,
    /**
     * Specifies the path point type of `Bezier3`.
     * @private
     */
    Bezier3 = 3,
    /**
     * Specifies the path point type of `Bezier`.
     * @private
     */
    Bezier = 3,
    /**
     * Specifies the path point type of `PathTypeMask`.
     * @private
     */
    PathTypeMask = 7,
    /**
     * Specifies the path point type of `DashMode`.
     * @private
     */
    DashMode = 16,
    /**
     * Specifies the path point type of `PathMarker`.
     * @private
     */
    PathMarker = 32,
    /**
     * Specifies the path point type of `CloseSubpath`.
     * @private
     */
    CloseSubpath = 128
}
