/**
 * dictionaryProperties.ts class for EJ2-PDF
 * PDF dictionary properties.
 * @private
 */
export declare class DictionaryProperties {
    /**
     * Specifies the value of `Pages`.
     * @private
     */
    readonly pages: string;
    /**
     * Specifies the value of `Kids`.
     * @private
     */
    readonly kids: string;
    /**
     * Specifies the value of `Count`.
     * @private
     */
    readonly count: string;
    /**
     * Specifies the value of `Resources`.
     * @private
     */
    readonly resources: string;
    /**
     * Specifies the value of `Type`.
     * @private
     */
    readonly type: string;
    /**
     * Specifies the value of `Size`.
     * @private
     */
    readonly size: string;
    /**
     * Specifies the value of `MediaBox`.
     * @private
     */
    readonly mediaBox: string;
    /**
     * Specifies the value of `Parent`.
     * @private
     */
    readonly parent: string;
    /**
     * Specifies the value of `Root`.
     * @private
     */
    readonly root: string;
    /**
     * Specifies the value of `DecodeParms`.
     * @private
     */
    readonly decodeParms: string;
    /**
     * Specifies the value of `Filter`.
     * @private
     */
    readonly filter: string;
    /**
     * Specifies the value of `Font`.
     * @private
     */
    readonly font: string;
    /**
     * Specifies the value of `Type1`.
     * @private
     */
    readonly type1: string;
    /**
     * Specifies the value of `BaseFont`.
     * @private
     */
    readonly baseFont: string;
    /**
     * Specifies the value of `Encoding`.
     * @private
     */
    readonly encoding: string;
    /**
     * Specifies the value of `Subtype`.
     * @private
     */
    readonly subtype: string;
    /**
     * Specifies the value of `Contents`.
     * @private
     */
    readonly contents: string;
    /**
     * Specifies the value of `ProcSet`.
     * @private
     */
    readonly procset: string;
    /**
     * Specifies the value of `ColorSpace`.
     * @private
     */
    readonly colorSpace: string;
    /**
     * Specifies the value of `ExtGState`.
     * @private
     */
    readonly extGState: string;
    /**
     * Specifies the value of `Pattern`.
     * @private
     */
    readonly pattern: string;
    /**
     * Specifies the value of `XObject`.
     * @private
     */
    readonly xObject: string;
    /**
     * Specifies the value of `Length`.
     * @private
     */
    readonly length: string;
    /**
     * Specifies the value of `Width`.
     * @private
     */
    readonly width: string;
    /**
     * Specifies the value of `Height`.
     * @private
     */
    readonly height: string;
    /**
     * Specifies the value of `BitsPerComponent`.
     * @private
     */
    readonly bitsPerComponent: string;
    /**
     * Specifies the value of `Image`.
     * @private
     */
    readonly image: string;
    /**
     * Specifies the value of `dctdecode`.
     * @private
     */
    readonly dctdecode: string;
    /**
     * Specifies the value of `Columns`.
     * @private
     */
    readonly columns: string;
    /**
     * Specifies the value of `BlackIs1`.
     * @private
     */
    readonly blackIs1: string;
    /**
     * Specifies the value of `K`.
     * @private
     */
    readonly k: string;
    /**
     * Specifies the value of `S`.
     * @private
     */
    readonly s: string;
    /**
     * Specifies the value of `Predictor`.
     * @private
     */
    readonly predictor: string;
    /**
     * Specifies the value of `DeviceRGB`.
     * @private
     */
    readonly deviceRgb: string;
    /**
     * Specifies the value of `Next`.
     * @private
     */
    readonly next: string;
    /**
     * Specifies the value of `Action`.
     * @private
     */
    readonly action: string;
    /**
     * Specifies the value of `Link`.
     * @private
     */
    readonly link: string;
    /**
     *
     * Specifies the value of `A`.
     * @private
     */
    readonly a: string;
    /**
     * Specifies the value of `Annot`.
     * @private
     */
    readonly annot: string;
    /**
     * Specifies the value of `P`.
     * @private
     */
    readonly p: string;
    /**
     * Specifies the value of `C`.
     * @private
     */
    readonly c: string;
    /**
     * Specifies the value of `Rect`.
     * @private
     */
    readonly rect: string;
    /**
     * Specifies the value of `URI`.
     * @private
     */
    readonly uri: string;
    /**
     * Specifies the value of `Annots`.
     * @private
     */
    readonly annots: string;
    /**
     * Specifies the value of `ca`.
     * @private
     */
    readonly ca: string;
    /**
     * Specifies the value of `CA`.
     * @private
     */
    readonly CA: string;
    /**
     * Specifies the value of `XYZ`.
     * @private
     */
    readonly xyz: string;
    /**
     * Specifies the value of `Fit`.
     * @private
     */
    readonly fit: string;
    /**
     * Specifies the value of `Dest`.
     * @private
     */
    readonly dest: string;
    /**
     * Specifies the value of `BM`.
     * @private
     */
    readonly BM: string;
    /**
     * Specifies the value of `flatedecode`.
     * @private
     */
    readonly flatedecode: string;
    /**
     * Specifies the value of `Rotate`.
     * @private
     */
    readonly rotate: string;
    /**
     * Specifies the value of 'bBox'.
     * @private
     */
    readonly bBox: string;
    /**
     * Specifies the value of 'form'.
     * @private
     */
    readonly form: string;
    /**
     * Specifies the value of 'w'.
     * @private
     */
    readonly w: string;
    /**
     * Specifies the value of 'cIDFontType2'.
     * @private
     */
    readonly cIDFontType2: string;
    /**
     * Specifies the value of 'cIDToGIDMap'.
     * @private
     */
    readonly cIDToGIDMap: string;
    /**
     * Specifies the value of 'cIDFontType0C'.
     * @private
     */
    readonly cIDFontType0C: string;
    /**
     * Specifies the value of 'identity'.
     * @private
     */
    readonly identity: string;
    /**
     * Specifies the value of 'dw'.
     * @private
     */
    readonly dw: string;
    /**
     * Specifies the value of 'fontDescriptor'.
     * @private
     */
    readonly fontDescriptor: string;
    /**
     * Specifies the value of 'cIDSystemInfo'.
     * @private
     */
    readonly cIDSystemInfo: string;
    /**
     * Specifies the value of 'CIDFontType0'.
     * @private
     */
    readonly cIDFontType0: string;
    /**
     * Specifies the value of 'fontName'.
     * @private
     */
    readonly fontName: string;
    /**
     * Specifies the value of 'flags'.
     * @private
     */
    readonly flags: string;
    /**
     * Specifies the value of 'fontBBox'.
     * @private
     */
    readonly fontBBox: string;
    /**
     * Specifies the value of 'missingWidth'.
     * @private
     */
    readonly missingWidth: string;
    /**
     * Specifies the value of 'stemV'.
     * @private
     */
    readonly stemV: string;
    /**
     * Specifies the value of 'italicAngle'.
     * @private
     */
    readonly italicAngle: string;
    /**
     * Specifies the value of 'capHeight'.
     * @private
     */
    readonly capHeight: string;
    /**
     * Specifies the value of 'ascent'.
     * @private
     */
    readonly ascent: string;
    /**
     * Specifies the value of 'descent'.
     * @private
     */
    readonly descent: string;
    /**
     * Specifies the value of 'leading'.
     * @private
     */
    readonly leading: string;
    /**
     * Specifies the value of 'avgWidth'.
     * @private
     */
    readonly avgWidth: string;
    /**
     * Specifies the value of 'fontFile2'.
     * @private
     */
    readonly fontFile2: string;
    /**
     * Specifies the value of 'fontFile3'.
     * @private
     */
    readonly fontFile3: string;
    /**
     * Specifies the value of 'maxWidth'.
     * @private
     */
    readonly maxWidth: string;
    /**
     * Specifies the value of 'xHeight'.
     * @private
     */
    readonly xHeight: string;
    /**
     * Specifies the value of 'stemH'.
     * @private
     */
    readonly stemH: string;
    /**
     * Specifies the value of 'registry'.
     * @private
     */
    readonly registry: string;
    /**
     * Specifies the value of 'ordering'.
     * @private
     */
    readonly ordering: string;
    /**
     * Specifies the value of 'supplement'.
     * @private
     */
    readonly supplement: string;
    /**
     * Specifies the value of 'type0'.
     * @private
     */
    readonly type0: string;
    /**
     * Specifies the value of 'identityH'.
     * @private
     */
    readonly identityH: string;
    /**
     * Specifies the value of 'toUnicode'.
     * @private
     */
    readonly toUnicode: string;
    /**
     * Specifies the value of 'descendantFonts'.
     * @private
     */
    readonly descendantFonts: string;
    /**
     * Specifies the value of 'background'.
     * @private
     */
    readonly background: string;
    /**
     * Specifies the value of 'shading'.
     * @private
     */
    readonly shading: string;
    /**
     * Specifies the value of 'matrix'.
     * @private
     */
    readonly matrix: string;
    /**
     * Specifies the value of 'antiAlias'.
     * @private
     */
    readonly antiAlias: string;
    /**
     * Specifies the value of 'function'.
     * @private
     */
    readonly function: string;
    /**
     * Specifies the value of 'extend'.
     * @private
     */
    readonly extend: string;
    /**
     * Specifies the value of 'shadingType'.
     * @private
     */
    readonly shadingType: string;
    /**
     * Specifies the value of 'coords'.
     * @private
     */
    readonly coords: string;
    /**
     * Specifies the value of 'domain'.
     * @private
     */
    readonly domain: string;
    /**
     * Specifies the value of 'range'.
     * @private
     */
    readonly range: string;
    /**
     * Specifies the value of 'functionType'.
     * @private
     */
    readonly functionType: string;
    /**
     * Specifies the value of 'bitsPerSample'.
     * @private
     */
    readonly bitsPerSample: string;
    /**
     * Specifies the value of 'patternType'.
     * @private
     */
    readonly patternType: string;
    /**
     * Specifies the value of 'paintType'.
     * @private
     */
    readonly paintType: string;
    /**
     * Specifies the value of 'tilingType'.
     * @private
     */
    readonly tilingType: string;
    /**
     * Specifies the value of 'xStep'.
     * @private
     */
    readonly xStep: string;
    /**
     * Specifies the value of 'yStep'.
     * @private
     */
    readonly yStep: string;
    /**
     * Specifies the value of viewer preferences.
     * @private
     */
    readonly viewerPreferences: string;
    /**
     * Specifies the value of center window.
     * @private
     */
    readonly centerWindow: string;
    /**
     * Specifies the value of display title.
     * @private
     */
    readonly displayTitle: string;
    /**
     * Specifies the value of fit window.
     * @private
     */
    readonly fitWindow: string;
    /**
     * Specifies the value of hide menu bar.
     * @private
     */
    readonly hideMenuBar: string;
    /**
     * Specifies the value of hide tool bar.
     * @private
     */
    readonly hideToolBar: string;
    /**
     * Specifies the value of hide window UI.
     * @private
     */
    readonly hideWindowUI: string;
    /**
     * Specifies the value of page mode.
     * @private
     */
    readonly pageMode: string;
    /**
     * Specifies the value of page layout.
     * @private
     */
    readonly pageLayout: string;
    /**
     * Specifies the value of duplex.
     * @private
     */
    readonly duplex: string;
    /**
     * Specifies the value of print scaling.
     * @private
     */
    readonly printScaling: string;
    /**
     * Initialize an instance for `PdfDictionaryProperties` class.
     * @private
     */
    constructor();
}
